subset,amsr-method {oce} | R Documentation

## Subset an amsr Object

### Description

This function is somewhat analogous to `subset.data.frame`, but only one independent variable may be used in `subset` in any call to the function, which means that repeated calls will be necessary to subset based on more than one independent variable (e.g. latitude and longitude).

### Usage

    ## S4 method for signature 'amsr'
    subset(x, subset, ...)

### Arguments

`x` | A `amsr` object, i.e. one inheriting from `amsr-class`.
`subset` | An expression indicating how to subset `x`.
`...` | Ignored.

### Value

An `amsr` object.

### Author(s)

Dan Kelley

### See Also

Other things related to `amsr` data: `[[<-,amsr-method`, `amsr-class`, `composite,amsr-method`, `download.amsr`, `plot,amsr-method`, `read.amsr`, `summary,amsr-method`

Other functions that subset `oce` objects: `subset,adp-method`, `subset,adv-method`, `subset,argo-method`, `subset,cm-method`, `subset,coastline-method`, `subset,ctd-method`, `subset,echosounder-method`, `subset,lobo-method`, `subset,met-method`, `subset,oce-method`, `subset,odf-method`, `subset,rsk-method`, `subset,sealevel-method`, `subset,section-method`, `subset,topo-method`

### Examples

    ## Not run:
    library(oce)
    earth <- read.amsr("f34_20160102v7.2.gz") # not provided with oce
    fclat <- subset(earth , 45<=latitude & latitude <= 49)
    fc <- subset(fclat , longitude <= -47 & longitude <= -43)
    plot(fc)

    ## End(Not run)

[Package oce version 0.9-22 Index]